<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>popup</title>
    <link rel="stylesheet" type="text/css" href="../static/popup/spu.css">
    <style>
        * {
            margin: 0;
            padding: 0;
        }
        .spu-content {
            background: #fff;
            position: fixed;
            _position: absolute;
            left: 50%;
            _left: 50%;
            top: 50%;
            *top: 50%;
            border-radius: 5px;
        }
    </style>
</head>
<body>
    <button id="popup">弹层</button>
    <script src="../static/popup/spu.js"></script>
    <script>
        window.onload = function() {
            var opt = {
                title: "登陆",
                // eleList: [{
                //     "tag": "form",
                //     "action": "url",
                //     "method": "post",
                //     "content": [{
                //         "tag": "div",
                //         "class": "spu-form-gro",
                //         "content": [{
                //             "tag": "label",
                //             "class": "spu-label",
                //             "content": [{
                //                 "tag": "span",
                //                 "class": "spu-label-text",
                //                 "content": "用户名"
                //             }, {
                //                 "tag": "input",
                //                 "type": "text",
                //                 "class": "spu-input",
                //                 "name": "username",
                //                 "placeholder": "请输入账户"
                //             }]
                //         }]
                //     }, {
                //         "tag": "div",
                //         "class": "spu-form-gro",
                //         "content": [{
                //             "tag": "label",
                //             "class": "spu-label",
                //             "content": [{
                //                 "tag": "span",
                //                 "class": "spu-label-text",
                //                 "content": "密&nbsp;码"
                //             }, {
                //                 "tag": "input",
                //                 "type": "password",
                //                 "class": "spu-input",
                //                 "name": "password",
                //                 "placeholder": "请输入密码"
                //             }]
                //         }]
                //     }]
                // }],
                message: "请输入密码"
            };
            var spu = new Spu(opt);
            document.getElementById("popup").onclick = function() {
                spu.init();
            };
        };
    </script>
</body>
</html>